1# Makefile.in generated by automake 1.15 from Makefile.am.
2# examples/hierarchy/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/cppunit
73pkgincludedir = $(includedir)/cppunit
74pkglibdir = $(libdir)/cppunit
75pkglibexecdir = $(libexecdir)/cppunit
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = x86_64-unknown-linux-gnu
89host_triplet = x86_64-unknown-linux-gnu
90TESTS = hierarchy$(EXEEXT)
91XFAIL_TESTS = hierarchy$(EXEEXT)
92check_PROGRAMS = $(am__EXEEXT_1)
93subdir = examples/hierarchy
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/m4/ac_cxx_have_strstream.m4 \
96	$(top_srcdir)/m4/ac_cxx_string_compare_string_first.m4 \
97	$(top_srcdir)/m4/ac_dll.m4 \
98	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
99	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
100	$(top_srcdir)/m4/ax_cxx_have_isfinite.m4 \
101	$(top_srcdir)/m4/ax_cxx_have_sstream.m4 \
102	$(top_srcdir)/m4/ax_cxx_namespaces.m4 \
103	$(top_srcdir)/m4/ax_prefix_config_h.m4 \
104	$(top_srcdir)/m4/bb_enable_doxygen.m4 \
105	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
106	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
107	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
108am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
109	$(ACLOCAL_M4)
110DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
111mkinstalldirs = $(install_sh) -d
112CONFIG_HEADER = $(top_builddir)/config.h
113CONFIG_CLEAN_FILES =
114CONFIG_CLEAN_VPATH_FILES =
115am__EXEEXT_1 = hierarchy$(EXEEXT)
116am_hierarchy_OBJECTS = BoardGame.$(OBJEXT) Chess.$(OBJEXT) \
117	main.$(OBJEXT)
118hierarchy_OBJECTS = $(am_hierarchy_OBJECTS)
119am__DEPENDENCIES_1 =
120hierarchy_DEPENDENCIES = $(top_builddir)/src/cppunit/libcppunit.la \
121	$(am__DEPENDENCIES_1)
122AM_V_lt = $(am__v_lt_$(V))
123am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
124am__v_lt_0 = --silent
125am__v_lt_1 =
126AM_V_P = $(am__v_P_$(V))
127am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
128am__v_P_0 = false
129am__v_P_1 = :
130AM_V_GEN = $(am__v_GEN_$(V))
131am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
132am__v_GEN_0 = @echo "  GEN     " $@;
133am__v_GEN_1 =
134AM_V_at = $(am__v_at_$(V))
135am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
136am__v_at_0 = @
137am__v_at_1 =
138DEFAULT_INCLUDES = -I. -I$(top_builddir)
139depcomp = $(SHELL) $(top_srcdir)/depcomp
140am__depfiles_maybe = depfiles
141am__mv = mv -f
142CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
143	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
144LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
145	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
146	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
147	$(AM_CXXFLAGS) $(CXXFLAGS)
148AM_V_CXX = $(am__v_CXX_$(V))
149am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
150am__v_CXX_0 = @echo "  CXX     " $@;
151am__v_CXX_1 =
152CXXLD = $(CXX)
153CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
154	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
155	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
156AM_V_CXXLD = $(am__v_CXXLD_$(V))
157am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
158am__v_CXXLD_0 = @echo "  CXXLD   " $@;
159am__v_CXXLD_1 =
160COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
161	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
163	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
164	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
165	$(AM_CFLAGS) $(CFLAGS)
166AM_V_CC = $(am__v_CC_$(V))
167am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
168am__v_CC_0 = @echo "  CC      " $@;
169am__v_CC_1 =
170CCLD = $(CC)
171LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
172	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
173	$(AM_LDFLAGS) $(LDFLAGS) -o $@
174AM_V_CCLD = $(am__v_CCLD_$(V))
175am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
176am__v_CCLD_0 = @echo "  CCLD    " $@;
177am__v_CCLD_1 =
178SOURCES = $(hierarchy_SOURCES)
179DIST_SOURCES = $(hierarchy_SOURCES)
180am__can_run_installinfo = \
181  case $$AM_UPDATE_INFO_DIR in \
182    n|no|NO) false;; \
183    *) (install-info --version) >/dev/null 2>&1;; \
184  esac
185am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
186# Read a list of newline-separated strings from the standard input,
187# and print each of them once, without duplicates.  Input order is
188# *not* preserved.
189am__uniquify_input = $(AWK) '\
190  BEGIN { nonempty = 0; } \
191  { items[$$0] = 1; nonempty = 1; } \
192  END { if (nonempty) { for (i in items) print i; }; } \
193'
194# Make sure the list of sources is unique.  This is necessary because,
195# e.g., the same source file might be shared among _SOURCES variables
196# for different programs/libraries.
197am__define_uniq_tagged_files = \
198  list='$(am__tagged_files)'; \
199  unique=`for i in $$list; do \
200    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
201  done | $(am__uniquify_input)`
202ETAGS = etags
203CTAGS = ctags
204am__tty_colors_dummy = \
205  mgn= red= grn= lgn= blu= brg= std=; \
206  am__color_tests=no
207am__tty_colors = { \
208  $(am__tty_colors_dummy); \
209  if test "X$(AM_COLOR_TESTS)" = Xno; then \
210    am__color_tests=no; \
211  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
212    am__color_tests=yes; \
213  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
214    am__color_tests=yes; \
215  fi; \
216  if test $$am__color_tests = yes; then \
217    red=''; \
218    grn=''; \
219    lgn=''; \
220    blu=''; \
221    mgn=''; \
222    brg=''; \
223    std=''; \
224  fi; \
225}
226am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
227am__vpath_adj = case $$p in \
228    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
229    *) f=$$p;; \
230  esac;
231am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
232am__install_max = 40
233am__nobase_strip_setup = \
234  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
235am__nobase_strip = \
236  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
237am__nobase_list = $(am__nobase_strip_setup); \
238  for p in $$list; do echo "$$p $$p"; done | \
239  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
240  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
241    if (++n[$$2] == $(am__install_max)) \
242      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
243    END { for (dir in files) print dir, files[dir] }'
244am__base_list = \
245  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
246  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
247am__uninstall_files_from_dir = { \
248  test -z "$$files" \
249    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
250    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
251         $(am__cd) "$$dir" && rm -f $$files; }; \
252  }
253am__recheck_rx = ^[ 	]*:recheck:[ 	]*
254am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
255am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
256# A command that, given a newline-separated list of test names on the
257# standard input, print the name of the tests that are to be re-run
258# upon "make recheck".
259am__list_recheck_tests = $(AWK) '{ \
260  recheck = 1; \
261  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
262    { \
263      if (rc < 0) \
264        { \
265          if ((getline line2 < ($$0 ".log")) < 0) \
266	    recheck = 0; \
267          break; \
268        } \
269      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
270        { \
271          recheck = 0; \
272          break; \
273        } \
274      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
275        { \
276          break; \
277        } \
278    }; \
279  if (recheck) \
280    print $$0; \
281  close ($$0 ".trs"); \
282  close ($$0 ".log"); \
283}'
284# A command that, given a newline-separated list of test names on the
285# standard input, create the global log from their .trs and .log files.
286am__create_global_log = $(AWK) ' \
287function fatal(msg) \
288{ \
289  print "fatal: making $@: " msg | "cat >&2"; \
290  exit 1; \
291} \
292function rst_section(header) \
293{ \
294  print header; \
295  len = length(header); \
296  for (i = 1; i <= len; i = i + 1) \
297    printf "="; \
298  printf "\n\n"; \
299} \
300{ \
301  copy_in_global_log = 1; \
302  global_test_result = "RUN"; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306         fatal("failed to read from " $$0 ".trs"); \
307      if (line ~ /$(am__global_test_result_rx)/) \
308        { \
309          sub("$(am__global_test_result_rx)", "", line); \
310          sub("[ 	]*$$", "", line); \
311          global_test_result = line; \
312        } \
313      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
314        copy_in_global_log = 0; \
315    }; \
316  if (copy_in_global_log) \
317    { \
318      rst_section(global_test_result ": " $$0); \
319      while ((rc = (getline line < ($$0 ".log"))) != 0) \
320      { \
321        if (rc < 0) \
322          fatal("failed to read from " $$0 ".log"); \
323        print line; \
324      }; \
325      printf "\n"; \
326    }; \
327  close ($$0 ".trs"); \
328  close ($$0 ".log"); \
329}'
330# Restructured Text title.
331am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
332# Solaris 10 'make', and several other traditional 'make' implementations,
333# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
334# by disabling -e (using the XSI extension "set +e") if it's set.
335am__sh_e_setup = case $$- in *e*) set +e;; esac
336# Default flags passed to test drivers.
337am__common_driver_flags = \
338  --color-tests "$$am__color_tests" \
339  --enable-hard-errors "$$am__enable_hard_errors" \
340  --expect-failure "$$am__expect_failure"
341# To be inserted before the command running the test.  Creates the
342# directory for the log if needed.  Stores in $dir the directory
343# containing $f, in $tst the test, in $log the log.  Executes the
344# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
345# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
346# will run the test scripts (or their associated LOG_COMPILER, if
347# thy have one).
348am__check_pre = \
349$(am__sh_e_setup);					\
350$(am__vpath_adj_setup) $(am__vpath_adj)			\
351$(am__tty_colors);					\
352srcdir=$(srcdir); export srcdir;			\
353case "$@" in						\
354  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
355    *) am__odir=.;; 					\
356esac;							\
357test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
358  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
359if test -f "./$$f"; then dir=./;			\
360elif test -f "$$f"; then dir=;				\
361else dir="$(srcdir)/"; fi;				\
362tst=$$dir$$f; log='$@'; 				\
363if test -n '$(DISABLE_HARD_ERRORS)'; then		\
364  am__enable_hard_errors=no; 				\
365else							\
366  am__enable_hard_errors=yes; 				\
367fi; 							\
368case " $(XFAIL_TESTS) " in				\
369  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
370    am__expect_failure=yes;;				\
371  *)							\
372    am__expect_failure=no;;				\
373esac; 							\
374$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
375# A shell command to get the names of the tests scripts with any registered
376# extension removed (i.e., equivalently, the names of the test logs, with
377# the '.log' extension removed).  The result is saved in the shell variable
378# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
379# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
380# since that might cause problem with VPATH rewrites for suffix-less tests.
381# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
382am__set_TESTS_bases = \
383  bases='$(TEST_LOGS)'; \
384  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
385  bases=`echo $$bases`
386RECHECK_LOGS = $(TEST_LOGS)
387AM_RECURSIVE_TARGETS = check recheck
388TEST_SUITE_LOG = test-suite.log
389TEST_EXTENSIONS =  .test
390LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
391LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
392am__set_b = \
393  case '$@' in \
394    */*) \
395      case '$*' in \
396        */*) b='$*';; \
397          *) b=`echo '$@' | sed 's/\.log$$//'`; \
398       esac;; \
399    *) \
400      b='$*';; \
401  esac
402am__test_logs1 = $(TESTS:=.log)
403am__test_logs2 = $(am__test_logs1:.log=.log)
404TEST_LOGS = $(am__test_logs2:.test.log=.log)
405TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
406TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
407	$(TEST_LOG_FLAGS)
408am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
409	$(top_srcdir)/test-driver
410DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
411ACLOCAL = ${SHELL} /home/moggi/devel/cppunit/missing aclocal-1.15
412AMTAR = $${TAR-tar}
413AM_DEFAULT_VERBOSITY = 0
414AR = ar
415AS = as
416AUTOCONF = ${SHELL} /home/moggi/devel/cppunit/missing autoconf
417AUTOHEADER = ${SHELL} /home/moggi/devel/cppunit/missing autoheader
418AUTOMAKE = ${SHELL} /home/moggi/devel/cppunit/missing automake-1.15
419AWK = gawk
420CC = gcc
421CCDEPMODE = depmode=gcc3
422CFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
423CPP = gcc -E
424CPPFLAGS =
425CPPUNIT_BINARY_AGE = 0
426CPPUNIT_CXXFLAGS =
427CPPUNIT_INTERFACE_AGE = 0
428CPPUNIT_MAJOR_VERSION = 1
429CPPUNIT_MICRO_VERSION = 0
430CPPUNIT_MINOR_VERSION = 14
431CXX = g++
432CXXCPP = g++ -E
433CXXDEPMODE = depmode=gcc3
434CXXFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
435CYGPATH_W = echo
436DEFS = -DHAVE_CONFIG_H
437DEPDIR = .deps
438DLLTOOL = false
439DOT = /usr/bin/dot
440DOXYGEN = /usr/bin/doxygen
441DSYMUTIL =
442DUMPBIN =
443ECHO_C =
444ECHO_N = -n
445ECHO_T =
446EGREP = /usr/bin/grep -E
447EXEEXT =
448FGREP = /usr/bin/grep -F
449GREP = /usr/bin/grep
450HAVE_CXX11 = 1
451INSTALL = /usr/bin/install -c
452INSTALL_DATA = ${INSTALL} -m 644
453INSTALL_PROGRAM = ${INSTALL}
454INSTALL_SCRIPT = ${INSTALL}
455INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
456LD = /usr/bin/ld -m elf_x86_64
457LDFLAGS =
458LIBADD_DL = -ldl
459LIBOBJS =
460LIBS =  -lm
461LIBTOOL = $(SHELL) $(top_builddir)/libtool
462LIPO =
463LN_S = ln -s
464LTLIBOBJS =
465LT_AGE = 0
466LT_CURRENT = 0
467LT_RELEASE = 1.14
468LT_REVISION = 0
469LT_SYS_LIBRARY_PATH =
470MAKEINFO = ${SHELL} /home/moggi/devel/cppunit/missing makeinfo
471MANIFEST_TOOL = :
472MKDIR_P = /usr/bin/mkdir -p
473NM = /usr/bin/nm -B
474NMEDIT =
475OBJDUMP = objdump
476OBJEXT = o
477OTOOL =
478OTOOL64 =
479PACKAGE = cppunit
480PACKAGE_BUGREPORT =
481PACKAGE_NAME = cppunit
482PACKAGE_STRING = cppunit 1.14.0
483PACKAGE_TARNAME = cppunit
484PACKAGE_URL =
485PACKAGE_VERSION = 1.14.0
486PATH_SEPARATOR = :
487RANLIB = ranlib
488SED = /usr/bin/sed
489SET_MAKE =
490SHELL = /bin/sh
491STRIP = strip
492VERSION = 1.14.0
493abs_builddir = /home/moggi/devel/cppunit/examples/hierarchy
494abs_srcdir = /home/moggi/devel/cppunit/examples/hierarchy
495abs_top_builddir = /home/moggi/devel/cppunit
496abs_top_srcdir = /home/moggi/devel/cppunit
497ac_ct_AR = ar
498ac_ct_CC = gcc
499ac_ct_CXX = g++
500ac_ct_DUMPBIN =
501am__include = include
502am__leading_dot = .
503am__quote =
504am__tar = $${TAR-tar} chof - "$$tardir"
505am__untar = $${TAR-tar} xf -
506bindir = ${exec_prefix}/bin
507build = x86_64-unknown-linux-gnu
508build_alias =
509build_cpu = x86_64
510build_os = linux-gnu
511build_vendor = unknown
512builddir = .
513datadir = ${datarootdir}
514datarootdir = ${prefix}/share
515docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
516dvidir = ${docdir}
517enable_dot = yes
518enable_html_docs = yes
519enable_latex_docs = no
520exec_prefix = ${prefix}
521host = x86_64-unknown-linux-gnu
522host_alias =
523host_cpu = x86_64
524host_os = linux-gnu
525host_vendor = unknown
526htmldir = ${docdir}
527includedir = ${prefix}/include
528infodir = ${datarootdir}/info
529install_sh = ${SHELL} /home/moggi/devel/cppunit/install-sh
530libdir = ${exec_prefix}/lib
531libexecdir = ${exec_prefix}/libexec
532localedir = ${datarootdir}/locale
533localstatedir = ${prefix}/var
534mandir = ${datarootdir}/man
535mkdir_p = $(MKDIR_P)
536oldincludedir = /usr/include
537pdfdir = ${docdir}
538prefix = /usr/local
539program_transform_name = s,x,x,
540psdir = ${docdir}
541sbindir = ${exec_prefix}/sbin
542sharedstatedir = ${prefix}/com
543srcdir = .
544sysconfdir = ${prefix}/etc
545target_alias =
546top_build_prefix = ../../
547top_builddir = ../..
548top_srcdir = ../..
549EXTRA_DIST = hierarchy.dsw hierarchy.dsp
550AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include
551hierarchy_SOURCES = BoardGame.cpp \
552                   Chess.cpp \
553                   main.cpp \
554                   BoardGame.h \
555                   Chess.h \
556                   BoardGameTest.h \
557                   ChessTest.h
558
559hierarchy_LDADD = \
560  $(top_builddir)/src/cppunit/libcppunit.la \
561  $(LIBADD_DL)
562
563all: all-am
564
565.SUFFIXES:
566.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
567$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
568	@for dep in $?; do \
569	  case '$(am__configure_deps)' in \
570	    *$$dep*) \
571	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
572	        && { if test -f $@; then exit 0; else break; fi; }; \
573	      exit 1;; \
574	  esac; \
575	done; \
576	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign examples/hierarchy/Makefile'; \
577	$(am__cd) $(top_srcdir) && \
578	  $(AUTOMAKE) --foreign examples/hierarchy/Makefile
579Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
580	@case '$?' in \
581	  *config.status*) \
582	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
583	  *) \
584	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
585	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
586	esac;
587
588$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
589	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590
591$(top_srcdir)/configure:  $(am__configure_deps)
592	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
594	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595$(am__aclocal_m4_deps):
596
597clean-checkPROGRAMS:
598	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
599	echo " rm -f" $$list; \
600	rm -f $$list || exit $$?; \
601	test -n "$(EXEEXT)" || exit 0; \
602	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
603	echo " rm -f" $$list; \
604	rm -f $$list
605
606hierarchy$(EXEEXT): $(hierarchy_OBJECTS) $(hierarchy_DEPENDENCIES) $(EXTRA_hierarchy_DEPENDENCIES)
607	@rm -f hierarchy$(EXEEXT)
608	$(AM_V_CXXLD)$(CXXLINK) $(hierarchy_OBJECTS) $(hierarchy_LDADD) $(LIBS)
609
610mostlyclean-compile:
611	-rm -f *.$(OBJEXT)
612
613distclean-compile:
614	-rm -f *.tab.c
615
616include ./$(DEPDIR)/BoardGame.Po
617include ./$(DEPDIR)/Chess.Po
618include ./$(DEPDIR)/main.Po
619
620.cpp.o:
621	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
622	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
623#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
624#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
625#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<
626
627.cpp.obj:
628	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
629	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
630#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
631#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
632#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
633
634.cpp.lo:
635	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
636	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
637#	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
638#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
639#	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<
640
641mostlyclean-libtool:
642	-rm -f *.lo
643
644clean-libtool:
645	-rm -rf .libs _libs
646
647ID: $(am__tagged_files)
648	$(am__define_uniq_tagged_files); mkid -fID $$unique
649tags: tags-am
650TAGS: tags
651
652tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
653	set x; \
654	here=`pwd`; \
655	$(am__define_uniq_tagged_files); \
656	shift; \
657	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
658	  test -n "$$unique" || unique=$$empty_fix; \
659	  if test $$# -gt 0; then \
660	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
661	      "$$@" $$unique; \
662	  else \
663	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
664	      $$unique; \
665	  fi; \
666	fi
667ctags: ctags-am
668
669CTAGS: ctags
670ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
671	$(am__define_uniq_tagged_files); \
672	test -z "$(CTAGS_ARGS)$$unique" \
673	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
674	     $$unique
675
676GTAGS:
677	here=`$(am__cd) $(top_builddir) && pwd` \
678	  && $(am__cd) $(top_srcdir) \
679	  && gtags -i $(GTAGS_ARGS) "$$here"
680cscopelist: cscopelist-am
681
682cscopelist-am: $(am__tagged_files)
683	list='$(am__tagged_files)'; \
684	case "$(srcdir)" in \
685	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
686	  *) sdir=$(subdir)/$(srcdir) ;; \
687	esac; \
688	for i in $$list; do \
689	  if test -f "$$i"; then \
690	    echo "$(subdir)/$$i"; \
691	  else \
692	    echo "$$sdir/$$i"; \
693	  fi; \
694	done >> $(top_builddir)/cscope.files
695
696distclean-tags:
697	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
698
699# Recover from deleted '.trs' file; this should ensure that
700# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
701# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
702# to avoid problems with "make -n".
703.log.trs:
704	rm -f $< $@
705	$(MAKE) $(AM_MAKEFLAGS) $<
706
707# Leading 'am--fnord' is there to ensure the list of targets does not
708# expand to empty, as could happen e.g. with make check TESTS=''.
709am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
710am--force-recheck:
711	@:
712
713$(TEST_SUITE_LOG): $(TEST_LOGS)
714	@$(am__set_TESTS_bases); \
715	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
716	redo_bases=`for i in $$bases; do \
717	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
718	            done`; \
719	if test -n "$$redo_bases"; then \
720	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
721	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
722	  if $(am__make_dryrun); then :; else \
723	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
724	  fi; \
725	fi; \
726	if test -n "$$am__remaking_logs"; then \
727	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
728	       "recursion detected" >&2; \
729	elif test -n "$$redo_logs"; then \
730	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
731	fi; \
732	if $(am__make_dryrun); then :; else \
733	  st=0;  \
734	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
735	  for i in $$redo_bases; do \
736	    test -f $$i.trs && test -r $$i.trs \
737	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
738	    test -f $$i.log && test -r $$i.log \
739	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
740	  done; \
741	  test $$st -eq 0 || exit 1; \
742	fi
743	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
744	ws='[ 	]'; \
745	results=`for b in $$bases; do echo $$b.trs; done`; \
746	test -n "$$results" || results=/dev/null; \
747	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
748	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
749	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
750	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
751	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
752	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
753	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
754	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
755	  success=true; \
756	else \
757	  success=false; \
758	fi; \
759	br='==================='; br=$$br$$br$$br$$br; \
760	result_count () \
761	{ \
762	    if test x"$$1" = x"--maybe-color"; then \
763	      maybe_colorize=yes; \
764	    elif test x"$$1" = x"--no-color"; then \
765	      maybe_colorize=no; \
766	    else \
767	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
768	    fi; \
769	    shift; \
770	    desc=$$1 count=$$2; \
771	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
772	      color_start=$$3 color_end=$$std; \
773	    else \
774	      color_start= color_end=; \
775	    fi; \
776	    echo "$${color_start}# $$desc $$count$${color_end}"; \
777	}; \
778	create_testsuite_report () \
779	{ \
780	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
781	  result_count $$1 "PASS: " $$pass  "$$grn"; \
782	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
783	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
784	  result_count $$1 "FAIL: " $$fail  "$$red"; \
785	  result_count $$1 "XPASS:" $$xpass "$$red"; \
786	  result_count $$1 "ERROR:" $$error "$$mgn"; \
787	}; \
788	{								\
789	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
790	    $(am__rst_title);						\
791	  create_testsuite_report --no-color;				\
792	  echo;								\
793	  echo ".. contents:: :depth: 2";				\
794	  echo;								\
795	  for b in $$bases; do echo $$b; done				\
796	    | $(am__create_global_log);					\
797	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
798	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
799	if $$success; then						\
800	  col="$$grn";							\
801	 else								\
802	  col="$$red";							\
803	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
804	fi;								\
805	echo "$${col}$$br$${std}"; 					\
806	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
807	echo "$${col}$$br$${std}"; 					\
808	create_testsuite_report --maybe-color;				\
809	echo "$$col$$br$$std";						\
810	if $$success; then :; else					\
811	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
812	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
813	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
814	  fi;								\
815	  echo "$$col$$br$$std";					\
816	fi;								\
817	$$success || exit 1
818
819check-TESTS:
820	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
821	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
822	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
823	@set +e; $(am__set_TESTS_bases); \
824	log_list=`for i in $$bases; do echo $$i.log; done`; \
825	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
826	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
827	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
828	exit $$?;
829recheck: all $(check_PROGRAMS)
830	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
831	@set +e; $(am__set_TESTS_bases); \
832	bases=`for i in $$bases; do echo $$i; done \
833	         | $(am__list_recheck_tests)` || exit 1; \
834	log_list=`for i in $$bases; do echo $$i.log; done`; \
835	log_list=`echo $$log_list`; \
836	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
837	        am__force_recheck=am--force-recheck \
838	        TEST_LOGS="$$log_list"; \
839	exit $$?
840hierarchy.log: hierarchy$(EXEEXT)
841	@p='hierarchy$(EXEEXT)'; \
842	b='hierarchy'; \
843	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
844	--log-file $$b.log --trs-file $$b.trs \
845	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
846	"$$tst" $(AM_TESTS_FD_REDIRECT)
847.test.log:
848	@p='$<'; \
849	$(am__set_b); \
850	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
851	--log-file $$b.log --trs-file $$b.trs \
852	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
853	"$$tst" $(AM_TESTS_FD_REDIRECT)
854#.test$(EXEEXT).log:
855#	@p='$<'; \
856#	$(am__set_b); \
857#	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
858#	--log-file $$b.log --trs-file $$b.trs \
859#	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
860#	"$$tst" $(AM_TESTS_FD_REDIRECT)
861
862distdir: $(DISTFILES)
863	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
864	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
865	list='$(DISTFILES)'; \
866	  dist_files=`for file in $$list; do echo $$file; done | \
867	  sed -e "s|^$$srcdirstrip/||;t" \
868	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
869	case $$dist_files in \
870	  */*) $(MKDIR_P) `echo "$$dist_files" | \
871			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
872			   sort -u` ;; \
873	esac; \
874	for file in $$dist_files; do \
875	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
876	  if test -d $$d/$$file; then \
877	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
878	    if test -d "$(distdir)/$$file"; then \
879	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
880	    fi; \
881	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
882	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
883	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
884	    fi; \
885	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
886	  else \
887	    test -f "$(distdir)/$$file" \
888	    || cp -p $$d/$$file "$(distdir)/$$file" \
889	    || exit 1; \
890	  fi; \
891	done
892check-am: all-am
893	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
894	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
895check: check-am
896all-am: Makefile
897installdirs:
898install: install-am
899install-exec: install-exec-am
900install-data: install-data-am
901uninstall: uninstall-am
902
903install-am: all-am
904	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
905
906installcheck: installcheck-am
907install-strip:
908	if test -z '$(STRIP)'; then \
909	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
910	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
911	      install; \
912	else \
913	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
914	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
915	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
916	fi
917mostlyclean-generic:
918	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
919	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
920	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
921
922clean-generic:
923
924distclean-generic:
925	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
926	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
927
928maintainer-clean-generic:
929	@echo "This command is intended for maintainers to use"
930	@echo "it deletes files that may require special tools to rebuild."
931clean: clean-am
932
933clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
934	mostlyclean-am
935
936distclean: distclean-am
937	-rm -rf ./$(DEPDIR)
938	-rm -f Makefile
939distclean-am: clean-am distclean-compile distclean-generic \
940	distclean-tags
941
942dvi: dvi-am
943
944dvi-am:
945
946html: html-am
947
948html-am:
949
950info: info-am
951
952info-am:
953
954install-data-am:
955
956install-dvi: install-dvi-am
957
958install-dvi-am:
959
960install-exec-am:
961
962install-html: install-html-am
963
964install-html-am:
965
966install-info: install-info-am
967
968install-info-am:
969
970install-man:
971
972install-pdf: install-pdf-am
973
974install-pdf-am:
975
976install-ps: install-ps-am
977
978install-ps-am:
979
980installcheck-am:
981
982maintainer-clean: maintainer-clean-am
983	-rm -rf ./$(DEPDIR)
984	-rm -f Makefile
985maintainer-clean-am: distclean-am maintainer-clean-generic
986
987mostlyclean: mostlyclean-am
988
989mostlyclean-am: mostlyclean-compile mostlyclean-generic \
990	mostlyclean-libtool
991
992pdf: pdf-am
993
994pdf-am:
995
996ps: ps-am
997
998ps-am:
999
1000uninstall-am:
1001
1002.MAKE: check-am install-am install-strip
1003
1004.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1005	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1006	ctags ctags-am distclean distclean-compile distclean-generic \
1007	distclean-libtool distclean-tags distdir dvi dvi-am html \
1008	html-am info info-am install install-am install-data \
1009	install-data-am install-dvi install-dvi-am install-exec \
1010	install-exec-am install-html install-html-am install-info \
1011	install-info-am install-man install-pdf install-pdf-am \
1012	install-ps install-ps-am install-strip installcheck \
1013	installcheck-am installdirs maintainer-clean \
1014	maintainer-clean-generic mostlyclean mostlyclean-compile \
1015	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1016	recheck tags tags-am uninstall uninstall-am
1017
1018.PRECIOUS: Makefile
1019
1020
1021# Tell versions [3.59,3.63) of GNU make to not export all variables.
1022# Otherwise a system limit (for SysV at least) may be exceeded.
1023.NOEXPORT:
1024